Description

Variables are declared only in the GET signature but you could have something like
-
  name: 'algo actions'
  uriPattern:    'algo/{@action}(/{myvar})'
  defaults:
    '@package':    Sifpe
    '@controller': Empresa
    '@action':     list
    '@format':     json
  POST:
   vars: [myvar2,myvar3]
   defaults:
    'myvar1': 'somevalue'
    'myvar2': 'somevalue'

Related issues:
related to TYPO3.Flow - Feature # 27117: Bind routes to HTTP request methods Resolved 2011-05-29 2013-04-13

History
#1 - 2011-05-30 10:24 - Bastian Waidelich
- Category changed from Configuration to MVC - Routing

#2 - 2011-09-18 13:43 - Bastian Waidelich

Hi Fernando,

Route defaults merge POST and GET vars.
do you have a concrete example of what you're trying to achieve?

#3 - 2011-09-18 14:16 - Fernando Arconada

Yes I did it in the issue text.
But for example I want to declare a variable only available via POST but not GET

#4 - 2011-09-18 14:47 - Bastian Waidelich

Fernando Arconada wrote:
Hi,

But for example I want to declare a variable only available via POST but not GET

Sorry for insisting, but I still don't get the use case.
In the controller there is currently no difference between GET and POST, so what would be the concrete use case?
Is the aim to have a route that only matches, if a certain HTTP method is used? Because that would be fixed with #27117

#5 - 2011-09-18 15:29 - Fernando Arconada

I dont remenber the use case that i had when i filled the issue. May be the problem could be fixed with #27117 at this moment not i'm not sure

#6 - 2011-09-30 12:08 - Bastian Waidelich
- Status changed from New to Closed
- Assigned To set to Bastian Waidelich

Fernando Arconada wrote:

May be the problem could be fixed with #27117 at this moment not i'm not sure

I guess so to.
I'm closing the issue for now. If you (or anyone) comes accross the issue again, feel free to re-open.
